Package org.eclipse.rdf4j.rio.helpers

## Class BinaryRDFWriterSettings

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.BinaryRDFWriterSettings

-     public class BinaryRDFWriterSettings
      extends Object

  WriterSettings for the binary RDF writer.
  Author:
    Frens Jan Rumph

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static RioSetting<Long>` | `BUFFER_SIZE` | Setting for the number of statements to consider while analyzing duplicate RDF terms.
    `static RioSetting<String>` | `CHARSET` | Setting for the character set to use for encoding strings (only applicable to version 2 of the binary RDF format).
    `static RioSetting<Boolean>` | `RECYCLE_IDS` | Setting for whether to recycle IDs while writing binary RDF files.
    `static RioSetting<Long>` | `VERSION` | Setting for the binary RDF format to use.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final RioSetting<Long> VERSION

      Setting for the binary RDF format to use.

      Defaults to `2`.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.binary.format_version`

    - #### BUFFER_SIZE

          public static final RioSetting<Long> BUFFER_SIZE

      Setting for the number of statements to consider while analyzing duplicate RDF terms. Terms that occur twice or more within the buffer of statements are written out (starting from the second occurrence) as identifiers.

      Defaults to `8192`.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.binary.buffer_size`

    - #### CHARSET

          public static final RioSetting<String> CHARSET

      Setting for the character set to use for encoding strings (only applicable to version 2 of the binary RDF format).

      Defaults to `"UTF-8"`.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.binary.charset`

    - #### RECYCLE_IDS

          public static final RioSetting<Boolean> RECYCLE_IDS

      Setting for whether to recycle IDs while writing binary RDF files. (only applicable to version 2 of the binary RDF format).

      If enabled (the default), once an RDF term is no longer referenced in the buffer of statements (see also `BUFFER_SIZE`), the ID of that term can be reused and any in memory reference to that term is released. If disabled, once an RDF term is assigned an ID it is never released and an in-memory reference to that term is maintained in memory. Note that disabling this setting may decrease file size, but also may result in an `OutOfMemoryError` because heap memory used is for every term that is ever assigned an ID.

      Defaults to `true`.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.binary.recycle_ids`